<mat-card class="line">
  <img [src]='assetSrc' class="asset-img"/>
  <mat-card-content class="line-row">
    <div class="line-content">
      <div class="text">{{(text | translate) || text}}</div>
      <div class="select">
        <geodesign-select (ngModelChange)="onOptionChange($event)" [(ngModel)]="assetName"
                          [options]="options"></geodesign-select>
      </div>
    </div>
    <div class="buttons">
      <button (click)="handleDisplay()" *ngIf="option.display"
              mat-button>{{(show ? 'FORM.HIDE' : 'FORM.DISPLAY') | translate}}</button>
      <button (click)="handleAdd()" *ngIf="option.add" mat-button>{{'FORM.ADD' | translate}}</button>
      <button (click)="handleLoad()" *ngIf="option.load" mat-button>{{'FORM.LOAD' | translate}}</button>
      <button (click)="handleParam()" *ngIf="option.param" mat-button>{{'FORM.PARAM' | translate}}</button>
    </div>
  </mat-card-content>
</mat-card>
